<!--Shows the detailed page of the note
Author: Oliver Huber
-->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      lang="de">
<head>
    <meta charset="utf-8" content="utf-8"/>
    <title>My Java Notes</title>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"></link>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet"></link>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <style>
        body {
            display: flex;
            min-height: 100vh;
            flex-direction: column;
        }

        main {
            flex: 1 0 auto;
        }
    </style>
</head>

<body>
<header>
    <h:form style="margin-bottom: 0px;">
        <!-- Dropdown Structure -->
        <ul id="options" class="dropdown-content">
            <li><h:commandLink class="modal-trigger" action="#{file.download}">
                <h:outputText class="modal-trigger" value="Export"></h:outputText>
            </h:commandLink></li>
            <li><!-- Import Modal Trigger -->
                <a class="modal-trigger" href="#import-modal">Import</a>
            </li>
        </ul>
    </h:form>

    <!-- Refresh Button -->
    <div class="navbar-fixed">
        <nav>
            <div class="nav-wrapper">
                <a href="listOfNotes.xhtml" class="brand-logo center">My Notes</a>
                <ul class="right hide-on-med-and-down">
                    <!-- Dropdown Trigger -->
                    <li><a class="dropdown-trigger" href="#!" data-target="options"><i
                            class="material-icons">more_vert</i></a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
<main>
    <div class="container">
        <!-- Import Modal -->
        <div id="import-modal" class="modal">
            <h:form id="import" enctype="multipart/form-data">
                <div class="modal-content">
                    <div class="file-field input-field">
                        <div class="btn">
                            <span>File</span>
                            <h:inputFile id="file" value="#{file.uploadedFile}"
                                         required="true"
                                         requiredMessage="Please upload a file" alt="upload file"></h:inputFile>
                        </div>

                        <div class="file-path-wrapper">
                            <input class="file-path validate" type="text"/>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <h:commandButton class="btn" id="submit-button" value="Upload"
                                     action="#{file.upload}"></h:commandButton>

                </div>
            </h:form>
        </div>
        <h2>
            <h:outputText value="#{noteControl.siteTitle}"/>
        </h2>

        <!-- Data Display -->
        <h:form id="note" class="col s12">
            <div class="row">

                <!-- Date Input -->
                <div class="input-field col s12">
                    <i class="material-icons prefix">date_range</i>
                    <h:inputText class="datepicker" id="date" value="#{noteControl.dateText}"
                                 autocomplete="off" disabled="#{noteControl.onlyView}" required="true"
                                 requiredMessage="Datum auswählen!">
                        <f:validateRequired/>
                    </h:inputText>
                    <h:message for="date" style="color:red"></h:message>
                </div>

                <!-- Title Input -->
                <div class="input-field col s12">
                    <h:outputLabel for="title">Title</h:outputLabel>
                    <h:inputText class="validate" id="title" value="#{noteControl.title}"
                                 autocomplete="off" readonly="#{noteControl.onlyView}" required="true"
                                 validatorMessage="Fehlerhafte Eingabe! Nur 150 Zeichen oder folgende Sonderzeichen !?'+.,:-_ erlaubt" requiredMessage="Titel eingeben!">
                        <f:validateRequired/>
                        <f:validateRegex pattern="[\r\na-zA-Z0-9 .,:-_äöü!?'+]+"/>
                        <f:validateLength maximum="150"/>
                    </h:inputText>
                    <h:message for="title" style="color:red"></h:message>
                </div>

                <!-- Notiz Input -->
                <div class="input-field col s12">
                    <h:outputLabel for="notiz">Notiz</h:outputLabel>
                    <h:inputTextarea class="materialize-textarea" id="notiz" validatorMessage="Fehlerhafte Eingabe! Nur 5000 Zeichen oder folgende Sonderzeichen !?'+.,:-_ erlaubt"
                                     readonly="#{noteControl.onlyView}" value="#{noteControl.notiz}" required="false">
                        <f:validateRegex pattern="[\r\na-zA-Z0-9 .,:-_äöü!?'+]+|^$"/>
                        <f:validateLength maximum="5000"/>
                    </h:inputTextarea>
                    <h:message for="notiz" style="color:red"></h:message>
                </div>

                <!-- Navigation Buttons -->
                <div class="input-field col s12">
                    <h:commandButton class="btn-large red" id="abort-button" rendered="#{noteControl.onlyView eq false}"
                                     immediate="true" value="Cancel" action="/listOfNotes.xhtml?faces-redirect=true">
                    </h:commandButton>
                    <h:commandButton class="btn-large red" id="create-button"
                                     rendered="#{noteControl.onlyView eq false}" value="#{noteControl.backButton}"
                                     action="#{noteControl.save}">
                    </h:commandButton>
                    <h:commandButton class="btn-large red" id="back-button" rendered="#{noteControl.onlyView}"
                                     value="Back" immediate="true" action="/listOfNotes.xhtml?faces-redirect=true">
                    </h:commandButton>
                </div>
            </div>
        </h:form>
    </div>
</main>

<!-- Footer -->
<footer class="page-footer">
    <div class="footer-copyright">
        <div class="container">
            © 2021 Cyrill Näf, Oliver Huber &amp; Dane Singer
            <a class="grey-text text-lighten-4 right"
               href="https://gitlab.com/biggold/hf-it-hbu/myjavanotes">Source Code</a>
        </div>
    </div>
</footer>

<!-- Compiled and minified JavaScript -->
<!--JavaScript at end of body for optimized loading-->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"
        type="application/javascript"></script>
<script src="https://code.jquery.com/jquery-2.1.1.min.js" type="application/javascript"></script>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        var elems = document.querySelectorAll('.dropdown-trigger');
        var instances = M.Dropdown.init(elems, options);
    });
    document.addEventListener('DOMContentLoaded', function () {
        var elems = document.querySelectorAll('.modal');
        var instances = M.Modal.init(elems, options);
    });
    document.addEventListener('DOMContentLoaded', function () {
        var options = {
            format: 'dd.mm.yyyy'
        };
        var elems = document.querySelectorAll('.datepicker');
        var instances = M.Datepicker.init(elems, options);
    });

</script>
</body>
</html>
